Debian Bug report logs - #559978
FTBFS [hppa]: Template Haskell splice illegal in a stage-1 compiler

version graph

Package: pandoc; Maintainer for pandoc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for pandoc is src:pandoc.

Reported by: dann frazier <dannf@debian.org>

Date: Tue, 8 Dec 2009 02:39:01 UTC

Severity: serious

Found in versions pandoc/1.2.1-1, pandoc/1.3-1

Fixed in version pandoc/1.5.1.1-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Tue, 08 Dec 2009 02:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 08 Dec 2009 02:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: FTBFS [hppa]: Template Haskell splice illegal in a stage-1 compiler
Date: Mon, 7 Dec 2009 19:37:10 -0700
Package: pandoc
Version: 1.2.1-1
Severity: serious

pandoc reliably fails to build on hppa:
  https://buildd.debian.org/build.php?&pkg=pandoc&ver=1.2.1-1&arch=hppa&file=log

From the most recent build attempt:
[...]
Using pkg-config version 0.22 found on system at: /usr/bin/pkg-config
Using ranlib found on system at: /usr/bin/ranlib
Using strip found on system at: /usr/bin/strip
Using tar found on system at: /bin/tar
/usr/bin/gcc /tmp/23391.c -o /tmp/23391 -D__GLASGOW_HASKELL__=610 -I. -D_HIGHLIGHTING -D_HIGHLIGHTING -I/usr/lib/ghc-6.10.4/process-1.0.1.1/include -I/usr/lib/haskell-packages/ghc6/lib/network-2.2.1.4/ghc-6.10.4/include -I/usr/lib/ghc-6.10.4/directory-1.0.0.3/include -I/usr/lib/ghc-6.10.4/unix-2.3.2.0/include -I/usr/lib/ghc-6.10.4/old-time-1.0.0.2/include -I/usr/lib/ghc-6.10.4/bytestring-0.9.1.4/include -I/usr/lib/ghc-6.10.4/base-4.1.0.0/include -I/usr/lib/ghc-6.10.4/include
mv dist dist-ghc6
mv dist-ghc6 dist
debian/hlibrary.setup build
Preprocessing library pandoc-1.2.1...
Preprocessing executables for pandoc-1.2.1...
Building pandoc-1.2.1...
[ 1 of 29] Compiling Paths_pandoc     ( dist/build/autogen/Paths_pandoc.hs, dist/build/Paths_pandoc.o )
[ 2 of 29] Compiling Text.Pandoc.XML  ( src/Text/Pandoc/XML.hs, dist/build/Text/Pandoc/XML.o )
[ 3 of 29] Compiling Text.Pandoc.CharacterReferences ( src/Text/Pandoc/CharacterReferences.hs, dist/build/Text/Pandoc/CharacterReferences.o )
[ 4 of 29] Compiling Text.Pandoc.Definition ( src/Text/Pandoc/Definition.hs, dist/build/Text/Pandoc/Definition.o )
[ 5 of 29] Compiling Text.Pandoc.Shared ( src/Text/Pandoc/Shared.hs, dist/build/Text/Pandoc/Shared.o )
[ 6 of 29] Compiling Text.Pandoc.TH   ( src/Text/Pandoc/TH.hs, dist/build/Text/Pandoc/TH.o )
[ 7 of 29] Compiling Text.Pandoc.ODT  ( src/Text/Pandoc/ODT.hs, dist/build/Text/Pandoc/ODT.o )

src/Text/Pandoc/ODT.hs:49:24:
    Template Haskell splice illegal in a stage-1 compiler
          makeZip $ "data" </> "odt-styles"
make: *** [build-ghc6-stamp] Error 1




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Tue, 08 Dec 2009 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 08 Dec 2009 23:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 559978@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: dann frazier <dannf@debian.org>, 559978@bugs.debian.org
Subject: Re: Bug#559978: FTBFS [hppa]: Template Haskell splice illegal in a stage-1 compiler
Date: Tue, 8 Dec 2009 14:49:11 -0800
+++ dann frazier [Dec 07 09 19:37 ]:
> Package: pandoc
> Version: 1.2.1-1
> Severity: serious
> 
> pandoc reliably fails to build on hppa:
>   https://buildd.debian.org/build.php?&pkg=pandoc&ver=1.2.1-1&arch=hppa&file=log
> 
> From the most recent build attempt:
> [...]
> Using pkg-config version 0.22 found on system at: /usr/bin/pkg-config
> Using ranlib found on system at: /usr/bin/ranlib
> Using strip found on system at: /usr/bin/strip
> Using tar found on system at: /bin/tar
> /usr/bin/gcc /tmp/23391.c -o /tmp/23391 -D__GLASGOW_HASKELL__=610 -I. -D_HIGHLIGHTING -D_HIGHLIGHTING -I/usr/lib/ghc-6.10.4/process-1.0.1.1/include -I/usr/lib/haskell-packages/ghc6/lib/network-2.2.1.4/ghc-6.10.4/include -I/usr/lib/ghc-6.10.4/directory-1.0.0.3/include -I/usr/lib/ghc-6.10.4/unix-2.3.2.0/include -I/usr/lib/ghc-6.10.4/old-time-1.0.0.2/include -I/usr/lib/ghc-6.10.4/bytestring-0.9.1.4/include -I/usr/lib/ghc-6.10.4/base-4.1.0.0/include -I/usr/lib/ghc-6.10.4/include
> mv dist dist-ghc6
> mv dist-ghc6 dist
> debian/hlibrary.setup build
> Preprocessing library pandoc-1.2.1...
> Preprocessing executables for pandoc-1.2.1...
> Building pandoc-1.2.1...
> [ 1 of 29] Compiling Paths_pandoc     ( dist/build/autogen/Paths_pandoc.hs, dist/build/Paths_pandoc.o )
> [ 2 of 29] Compiling Text.Pandoc.XML  ( src/Text/Pandoc/XML.hs, dist/build/Text/Pandoc/XML.o )
> [ 3 of 29] Compiling Text.Pandoc.CharacterReferences ( src/Text/Pandoc/CharacterReferences.hs, dist/build/Text/Pandoc/CharacterReferences.o )
> [ 4 of 29] Compiling Text.Pandoc.Definition ( src/Text/Pandoc/Definition.hs, dist/build/Text/Pandoc/Definition.o )
> [ 5 of 29] Compiling Text.Pandoc.Shared ( src/Text/Pandoc/Shared.hs, dist/build/Text/Pandoc/Shared.o )
> [ 6 of 29] Compiling Text.Pandoc.TH   ( src/Text/Pandoc/TH.hs, dist/build/Text/Pandoc/TH.o )
> [ 7 of 29] Compiling Text.Pandoc.ODT  ( src/Text/Pandoc/ODT.hs, dist/build/Text/Pandoc/ODT.o )
> 
> src/Text/Pandoc/ODT.hs:49:24:
>     Template Haskell splice illegal in a stage-1 compiler
>           makeZip $ "data" </> "odt-styles"
> make: *** [build-ghc6-stamp] Error 1

Pandoc, like many other Haskell programs, uses Template Haskell, which
requires a stage-2 compiler. I'm not sure why the ghc compiler on hppa
is only stage-1, but that would be the place to fix the problem.





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Tue, 15 Dec 2009 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 15 Dec 2009 11:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 559978@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: John MacFarlane <jgm@berkeley.edu>, 559978@bugs.debian.org
Cc: dann frazier <dannf@debian.org>
Subject: Re: Bug#559978: FTBFS [hppa]: Template Haskell splice illegal in a stage-1 compiler
Date: Tue, 15 Dec 2009 12:14:59 +0100
[Message part 1 (text/plain, inline)]
John MacFarlane <jgm@berkeley.edu> (08/12/2009):
> > [ 7 of 29] Compiling Text.Pandoc.ODT  ( src/Text/Pandoc/ODT.hs, dist/build/Text/Pandoc/ODT.o )
> > 
> > src/Text/Pandoc/ODT.hs:49:24:
> >     Template Haskell splice illegal in a stage-1 compiler
> >           makeZip $ "data" </> "odt-styles"
> > make: *** [build-ghc6-stamp] Error 1
> 
> Pandoc, like many other Haskell programs, uses Template Haskell,
> which requires a stage-2 compiler. I'm not sure why the ghc compiler
> on hppa is only stage-1, but that would be the place to fix the
> problem.

Happens on alpha, hppa, and kfreebsd-i386 with 1.3-1, i386 is building
fine, other architectures have no log yet.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions pandoc/1.3-1. Request was from dann frazier <dannf@debian.org> to control@bugs.debian.org. (Tue, 15 Dec 2009 15:24:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Tue, 15 Dec 2009 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 559978@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 15 Dec 2009 19:18:04 GMT) Full text and rfc822 format available.

Message #22 received at 559978@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 559978@bugs.debian.org
Subject: Re: Fw: Processed: found 559978 in 1.3-1
Date: Tue, 15 Dec 2009 20:11:51 +0100
[Message part 1 (text/plain, inline)]
Hi John (and others following this issue),

I dare respond through our BTS rather than privately, as I see nothing 
in need of discretion in your mail and we should generally work 
transparently and in the open whenever possible[1].

I have commented below the quoted text...

On Tue, Dec 15, 2009 at 10:39:22AM -0800, John MacFarlane wrote:
>This is unfortunate.  Pandoc uses template Haskell to splice the
>contents of some data files into source files, so they can be built
>into the executable.  But apparently not all architectures have a
>version of GHC that is capable of handling template Haskell.
>This will keep pandoc 1.3 from entering testing, I believe, because
>0.46 did compile on these architectures. (Correct me if I'm
>wrong about the criteria.)  0.46 used a different strategy -- it
>created DefaultHeaders.hs and other data files from templates
>before compiling, and didn't use template Haskell.
>
>My new plan is to wean pandoc off of template Haskell, which seems
>to be more trouble than it's worth.
>
>http://code.google.com/p/pandoc/issues/detail?id=186
>
>John

I do not know these Haskell-specific details of coding style.  But if 
the new way is "the proper way", then we do have the alternative of 
packaging only for those architectures supporting this better approach.

Do you perhaps have some references to discussions by others about 
template Haskell not working on some archs?  Perhaps the Debian Haskell 
team have discussed similar issues with other Haskell apps/libs?


 - Jonas

[1] We won't hide problems: http://www.debian.org/social_contract §3

-- 
* Jonas Smedegaard - idealist & Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Tue, 15 Dec 2009 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Tue, 15 Dec 2009 20:03:05 GMT) Full text and rfc822 format available.

Message #27 received at 559978@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: 559978@bugs.debian.org
Subject: Re: Bug#559978: Fw: Processed: found 559978 in 1.3-1
Date: Tue, 15 Dec 2009 11:56:06 -0800
+++ Jonas Smedegaard [Dec 15 09 20:11 ]:
> Hi John (and others following this issue),
> 
> I dare respond through our BTS rather than privately, as I see
> nothing in need of discretion in your mail and we should generally
> work transparently and in the open whenever possible[1].
> 
> I have commented below the quoted text...
> 
> On Tue, Dec 15, 2009 at 10:39:22AM -0800, John MacFarlane wrote:
> >This is unfortunate.  Pandoc uses template Haskell to splice the
> >contents of some data files into source files, so they can be built
> >into the executable.  But apparently not all architectures have a
> >version of GHC that is capable of handling template Haskell.
> >This will keep pandoc 1.3 from entering testing, I believe, because
> >0.46 did compile on these architectures. (Correct me if I'm
> >wrong about the criteria.)  0.46 used a different strategy -- it
> >created DefaultHeaders.hs and other data files from templates
> >before compiling, and didn't use template Haskell.
> >
> >My new plan is to wean pandoc off of template Haskell, which seems
> >to be more trouble than it's worth.
> >
> >http://code.google.com/p/pandoc/issues/detail?id=186
> >
> >John
> 
> I do not know these Haskell-specific details of coding style.  But
> if the new way is "the proper way", then we do have the alternative
> of packaging only for those architectures supporting this better
> approach.

Template Haskell is a standard language feature. My worry, though,
was that if we did not support all architectures on which pandoc
0.46 built, pandoc would never migrate from unstable to testing.
Am I wrong about this?

> Do you perhaps have some references to discussions by others about
> template Haskell not working on some archs?  Perhaps the Debian
> Haskell team have discussed similar issues with other Haskell
> apps/libs?

In 7.9.2 of the following, it says you need a stage-2 compiler for
template Haskell:
http://www.haskell.org/ghc/docs/6.10-latest/html/users_guide/template-haskell.html

I'm not sure why several architectures only have a stage-1 GHC.
I'll ask around.





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Mon, 22 Feb 2010 20:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 22 Feb 2010 20:27:12 GMT) Full text and rfc822 format available.

Message #32 received at 559978@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 559978@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: pandoc FTBFS
Date: Mon, 22 Feb 2010 21:21:11 +0100
[Message part 1 (text/plain, inline)]
Hi,


> Template Haskell is a standard language feature. My worry, though,
> was that if we did not support all architectures on which pandoc
> 0.46 built, pandoc would never migrate from unstable to testing.
> Am I wrong about this?

If pandoc can not be built on some arches, then the release team will
probably ok the removal of the pandoc package on the broken arches,
allowing the transition. But you could retry building pandoc with the
new ghc6 compiler, maybe it works now.

Greetings,
Joachim
 
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Mon, 22 Feb 2010 21:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 22 Feb 2010 21:03:11 GMT) Full text and rfc822 format available.

Message #37 received at 559978@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: Joachim Breitner <nomeata@debian.org>, 559978@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Mon, 22 Feb 2010 12:43:34 -0800
+++ Joachim Breitner [Feb 22 10 21:21 ]:
> Hi,
> 
> 
> > Template Haskell is a standard language feature. My worry, though,
> > was that if we did not support all architectures on which pandoc
> > 0.46 built, pandoc would never migrate from unstable to testing.
> > Am I wrong about this?
> 
> If pandoc can not be built on some arches, then the release team will
> probably ok the removal of the pandoc package on the broken arches,
> allowing the transition. But you could retry building pandoc with the
> new ghc6 compiler, maybe it works now.

Note: the next release of pandoc (1.5) will not depend on Template
Haskell. I plan to release this in the next month or two.

John





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Mon, 22 Feb 2010 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Mon, 22 Feb 2010 22:36:03 GMT) Full text and rfc822 format available.

Message #42 received at 559978@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@debian.org>
To: 559978 <559978@bugs.debian.org>, debian-haskell <debian-haskell@lists.debian.org>
Subject: Re: Bug#559978: pandoc FTBFS
Date: Mon, 22 Feb 2010 19:33:29 -0300
Hi John.

Excerpts from John MacFarlane's message of Seg Fev 22 17:43:34 -0300 2010:
> +++ Joachim Breitner [Feb 22 10 21:21 ]:
> > Hi,
> > 
> > 
> > > Template Haskell is a standard language feature. My worry, though,
> > > was that if we did not support all architectures on which pandoc
> > > 0.46 built, pandoc would never migrate from unstable to testing.
> > > Am I wrong about this?
> > 
> > If pandoc can not be built on some arches, then the release team will
> > probably ok the removal of the pandoc package on the broken arches,
> > allowing the transition. But you could retry building pandoc with the
> > new ghc6 compiler, maybe it works now.
> 
> Note: the next release of pandoc (1.5) will not depend on Template
> Haskell. I plan to release this in the next month or two.

Template Haskell, as GHCi, is only availabel in i386, amd64, sparc,
kfreebsd-i386 and kfreebsd-amd64.  Please remove the other architectures from
the list.

Greetings.
-- 
marcot
http://marcot.iaaeee.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Sat, 27 Feb 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 27 Feb 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #47 received at 559978@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Jonas Smedegaard <dr@jones.dk>
Cc: 559978@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Sat, 27 Feb 2010 18:53:18 +0100
[Message part 1 (text/plain, inline)]
Hi Jonas,

Am Montag, den 22.02.2010, 12:43 -0800 schrieb John MacFarlane:
> +++ Joachim Breitner [Feb 22 10 21:21 ]:
> > > Template Haskell is a standard language feature. My worry, though,
> > > was that if we did not support all architectures on which pandoc
> > > 0.46 built, pandoc would never migrate from unstable to testing.
> > > Am I wrong about this?
> > 
> > If pandoc can not be built on some arches, then the release team will
> > probably ok the removal of the pandoc package on the broken arches,
> > allowing the transition. But you could retry building pandoc with the
> > new ghc6 compiler, maybe it works now.
> 
> Note: the next release of pandoc (1.5) will not depend on Template
> Haskell. I plan to release this in the next month or two.

I usually like to avoid having to wait for new upstream versions to get
rid of a issue. Would it be possible that you make sure the pandoc
package builds successfully with ghc6-6.12 and the updated libraries, at
least on the arches with Template Haskell support?

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Sat, 27 Feb 2010 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 27 Feb 2010 18:39:06 GMT) Full text and rfc822 format available.

Message #52 received at 559978@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: Joachim Breitner <nomeata@debian.org>, 559978@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>, debian-haskell@lists.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Sat, 27 Feb 2010 10:35:48 -0800
+++ Joachim Breitner [Feb 27 10 18:53 ]:
> Hi Jonas,
> 
> Am Montag, den 22.02.2010, 12:43 -0800 schrieb John MacFarlane:
> > +++ Joachim Breitner [Feb 22 10 21:21 ]:
> > > > Template Haskell is a standard language feature. My worry, though,
> > > > was that if we did not support all architectures on which pandoc
> > > > 0.46 built, pandoc would never migrate from unstable to testing.
> > > > Am I wrong about this?
> > > 
> > > If pandoc can not be built on some arches, then the release team will
> > > probably ok the removal of the pandoc package on the broken arches,
> > > allowing the transition. But you could retry building pandoc with the
> > > new ghc6 compiler, maybe it works now.
> > 
> > Note: the next release of pandoc (1.5) will not depend on Template
> > Haskell. I plan to release this in the next month or two.
> 
> I usually like to avoid having to wait for new upstream versions to get
> rid of a issue. Would it be possible that you make sure the pandoc
> package builds successfully with ghc6-6.12 and the updated libraries, at
> least on the arches with Template Haskell support?

Joachim and Jonas:

Although pandoc 1.3, the latest packaged for debian, may build with
ghc6-6.12, the resulting executable won't handle UTF-8 correctly,
because of the double-encoding problem one gets when using both
System.IO.UTF8 and GHC6.12. (I posted about this problem earlier to
debian-haskell, since it may affect a few other packages as well.
I also wrote to the author of utf8-string with some suggestions
about how to solve the problem, but as far as I know, no action has been
taken.)

I used CPP to work around this problem in pandoc 1.4, the latest
released version. Since there are a couple other problems with that
release, I asked Jonas to hold off packaging until 1.5 was ready.

I don't want to hold things up too much, so I could expedite work
on 1.5 and try to release it in a week or so, so packaging could
proceed.

John





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Sat, 27 Feb 2010 18:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 27 Feb 2010 18:48:08 GMT) Full text and rfc822 format available.

Message #57 received at 559978@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: debian-haskell@lists.debian.org, John MacFarlane <jgm@berkeley.edu>
Cc: Jonas Smedegaard <dr@jones.dk>, 559978@bugs.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Sat, 27 Feb 2010 19:47:03 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 27.02.2010, 10:35 -0800 schrieb John MacFarlane:
> Although pandoc 1.3, the latest packaged for debian, may build with
> ghc6-6.12, the resulting executable won't handle UTF-8 correctly,
> because of the double-encoding problem one gets when using both
> System.IO.UTF8 and GHC6.12. (I posted about this problem earlier to
> debian-haskell, since it may affect a few other packages as well.
> I also wrote to the author of utf8-string with some suggestions
> about how to solve the problem, but as far as I know, no action has been
> taken.)

Ok, that’s a good point, we don’t want such broken packages :-)

> I used CPP to work around this problem in pandoc 1.4, the latest
> released version. Since there are a couple other problems with that
> release, I asked Jonas to hold off packaging until 1.5 was ready.
> 
> I don't want to hold things up too much, so I could expedite work
> on 1.5 and try to release it in a week or so, so packaging could
> proceed.

that sounds good. We are not at the point of a transition yet, and
pandoc is not the only thing waiting, but I’d like to get the TODO list
smaller if possible. I’ll ask again in one or two weeks if I hear
nothing :-)

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Fri, 12 Mar 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 12 Mar 2010 09:27:03 GMT) Full text and rfc822 format available.

Message #62 received at 559978@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: debian-haskell@lists.debian.org
Cc: John MacFarlane <jgm@berkeley.edu>, Jonas Smedegaard <dr@jones.dk>, 559978@bugs.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Fri, 12 Mar 2010 09:23:40 +0000
[Message part 1 (text/plain, inline)]
Heya,

On Sat, Feb 27, 2010 at 07:47:03PM +0100, Joachim Breitner wrote:
>Hi,
> [...]
>> [...]
>> I don't want to hold things up too much, so I could expedite work
>> on 1.5 and try to release it in a week or so, so packaging could
>> proceed.
>
>that sounds good. We are not at the point of a transition yet, and
>pandoc is not the only thing waiting, but I’d like to get the TODO list
>smaller if possible. I’ll ask again in one or two weeks if I hear
>nothing :-)

We now are almost at the end of the transition. Yesterday, along with 
Marcot kindly doing uploads, we managed to clear agda and magic-haskell 
from the radar. The release team are now telling us that pandoc (along 
with xmonad-contrib/hppa and haskell-src-exts/various FTBFS) is the last 
big blocker for testing transition to start happening again.

Is there any news on the 1.5 release?

ta,
Iain
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Fri, 12 Mar 2010 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 12 Mar 2010 17:30:03 GMT) Full text and rfc822 format available.

Message #67 received at 559978@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: debian-haskell@lists.debian.org, Jonas Smedegaard <dr@jones.dk>, 559978@bugs.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Fri, 12 Mar 2010 09:27:31 -0800
+++ Iain Lane [Mar 12 10 09:23 ]:
> Heya,
> 
> On Sat, Feb 27, 2010 at 07:47:03PM +0100, Joachim Breitner wrote:
> >Hi,
> >[...]
> >>[...]
> >>I don't want to hold things up too much, so I could expedite work
> >>on 1.5 and try to release it in a week or so, so packaging could
> >>proceed.
> >
> >that sounds good. We are not at the point of a transition yet, and
> >pandoc is not the only thing waiting, but I’d like to get the TODO list
> >smaller if possible. I’ll ask again in one or two weeks if I hear
> >nothing :-)
> 
> We now are almost at the end of the transition. Yesterday, along
> with Marcot kindly doing uploads, we managed to clear agda and
> magic-haskell from the radar. The release team are now telling us
> that pandoc (along with xmonad-contrib/hppa and
> haskell-src-exts/various FTBFS) is the last big blocker for testing
> transition to start happening again.
> 
> Is there any news on the 1.5 release?

Probably, it's going to be at least another week.

I don't want to hold things up, so an alternative would be to provide a
minimal patch for the current version in the debian package. If needed,
I can work on this tonight; Jonas would then need to upload a new
version with the patch.

John





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#559978; Package pandoc. (Fri, 12 Mar 2010 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. (Fri, 12 Mar 2010 17:39:06 GMT) Full text and rfc822 format available.

Message #72 received at 559978@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: John MacFarlane <jgm@berkeley.edu>
Cc: debian-haskell@lists.debian.org, 559978@bugs.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Fri, 12 Mar 2010 18:38:19 +0100
[Message part 1 (text/plain, inline)]
On Fri, Mar 12, 2010 at 09:27:31AM -0800, John MacFarlane wrote:
>+++ Iain Lane [Mar 12 10 09:23 ]:
>> We now are almost at the end of the transition. Yesterday, along
>> with Marcot kindly doing uploads, we managed to clear agda and
>> magic-haskell from the radar. The release team are now telling us
>> that pandoc (along with xmonad-contrib/hppa and
>> haskell-src-exts/various FTBFS) is the last big blocker for testing
>> transition to start happening again.
>>
>> Is there any news on the 1.5 release?
>
>Probably, it's going to be at least another week.
>
>I don't want to hold things up, so an alternative would be to provide a 
>minimal patch for the current version in the debian package. If needed, 
>I can work on this tonight; Jonas would then need to upload a new 
>version with the patch.

That sounds good. I can package tomorrow.

 - Jonas

-- 
* Jonas Smedegaard - idealist & Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Fri, 12 Mar 2010 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John MacFarlane <jgm@berkeley.edu>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 12 Mar 2010 18:27:06 GMT) Full text and rfc822 format available.

Message #77 received at 559978@bugs.debian.org (full text, mbox):

From: John MacFarlane <jgm@berkeley.edu>
To: debian-haskell@lists.debian.org, Jonas Smedegaard <dr@jones.dk>, 559978@bugs.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Fri, 12 Mar 2010 10:23:45 -0800
+++ John MacFarlane [Mar 12 10 09:27 ]:
> +++ Iain Lane [Mar 12 10 09:23 ]:
> > Heya,
> > 
> > On Sat, Feb 27, 2010 at 07:47:03PM +0100, Joachim Breitner wrote:
> > >Hi,
> > >[...]
> > >>[...]
> > >>I don't want to hold things up too much, so I could expedite work
> > >>on 1.5 and try to release it in a week or so, so packaging could
> > >>proceed.
> > >
> > >that sounds good. We are not at the point of a transition yet, and
> > >pandoc is not the only thing waiting, but I’d like to get the TODO list
> > >smaller if possible. I’ll ask again in one or two weeks if I hear
> > >nothing :-)
> > 
> > We now are almost at the end of the transition. Yesterday, along
> > with Marcot kindly doing uploads, we managed to clear agda and
> > magic-haskell from the radar. The release team are now telling us
> > that pandoc (along with xmonad-contrib/hppa and
> > haskell-src-exts/various FTBFS) is the last big blocker for testing
> > transition to start happening again.
> > 
> > Is there any news on the 1.5 release?
> 
> Probably, it's going to be at least another week.
> 
> I don't want to hold things up, so an alternative would be to provide a
> minimal patch for the current version in the debian package. If needed,
> I can work on this tonight; Jonas would then need to upload a new
> version with the patch.

Hold on -- I recall now that there were two issues.  One was the UTF8
issue, which is easily fixed with a small patch. The other is that
pandoc 1.3's use of TH seems to prevent it from compiling on
several architectures.  That can't be fixed with a small patch, but
will be fixed in 1.5. Given this, maybe I should just try to finish 1.5
quickly?

John





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#559978; Package pandoc. (Fri, 12 Mar 2010 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Fri, 12 Mar 2010 18:33:03 GMT) Full text and rfc822 format available.

Message #82 received at 559978@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: John MacFarlane <jgm@berkeley.edu>
Cc: debian-haskell@lists.debian.org, Jonas Smedegaard <dr@jones.dk>, 559978@bugs.debian.org
Subject: Re: Bug#559978: pandoc FTBFS
Date: Fri, 12 Mar 2010 18:29:14 +0000
[Message part 1 (text/plain, inline)]
On Fri, Mar 12, 2010 at 10:23:45AM -0800, John MacFarlane wrote:
>+++ John MacFarlane [Mar 12 10 09:27 ]:
>> +++ Iain Lane [Mar 12 10 09:23 ]:
>> > Heya,
>> >
>> > On Sat, Feb 27, 2010 at 07:47:03PM +0100, Joachim Breitner wrote:
>> > >Hi,
>> > >[...]
>> > >>[...]
>> > >>I don't want to hold things up too much, so I could expedite work
>> > >>on 1.5 and try to release it in a week or so, so packaging could
>> > >>proceed.
>> > >
>> > >that sounds good. We are not at the point of a transition yet, and
>> > >pandoc is not the only thing waiting, but I’d like to get the TODO list
>> > >smaller if possible. I’ll ask again in one or two weeks if I hear
>> > >nothing :-)
>> >
>> > We now are almost at the end of the transition. Yesterday, along
>> > with Marcot kindly doing uploads, we managed to clear agda and
>> > magic-haskell from the radar. The release team are now telling us
>> > that pandoc (along with xmonad-contrib/hppa and
>> > haskell-src-exts/various FTBFS) is the last big blocker for testing
>> > transition to start happening again.
>> >
>> > Is there any news on the 1.5 release?
>>
>> Probably, it's going to be at least another week.
>>
>> I don't want to hold things up, so an alternative would be to provide a
>> minimal patch for the current version in the debian package. If needed,
>> I can work on this tonight; Jonas would then need to upload a new
>> version with the patch.
>
>Hold on -- I recall now that there were two issues.  One was the UTF8
>issue, which is easily fixed with a small patch. The other is that
>pandoc 1.3's use of TH seems to prevent it from compiling on
>several architectures.  That can't be fixed with a small patch, but
>will be fixed in 1.5. Given this, maybe I should just try to finish 1.5
>quickly?

There's no need to rush too much, I guess we can just remove pandoc from 
testing so as to not hold up the migration. [Can we?]

Iain
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Mon, 22 Mar 2010 17:07:19 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Sat, 03 Apr 2010 18:21:12 GMT) Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. (Sat, 03 Apr 2010 18:21:12 GMT) Full text and rfc822 format available.

Message #89 received at 559978-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 559978-close@bugs.debian.org
Subject: Bug#559978: fixed in pandoc 1.5.1.1-1
Date: Sat, 03 Apr 2010 18:17:49 +0000
Source: pandoc
Source-Version: 1.5.1.1-1

We believe that the bug you reported is fixed in the latest version of
pandoc, which is due to be installed in the Debian FTP archive:

libghc6-pandoc-dev_1.5.1.1-1_amd64.deb
  to main/p/pandoc/libghc6-pandoc-dev_1.5.1.1-1_amd64.deb
libghc6-pandoc-doc_1.5.1.1-1_all.deb
  to main/p/pandoc/libghc6-pandoc-doc_1.5.1.1-1_all.deb
pandoc_1.5.1.1-1.debian.tar.gz
  to main/p/pandoc/pandoc_1.5.1.1-1.debian.tar.gz
pandoc_1.5.1.1-1.dsc
  to main/p/pandoc/pandoc_1.5.1.1-1.dsc
pandoc_1.5.1.1-1_amd64.deb
  to main/p/pandoc/pandoc_1.5.1.1-1_amd64.deb
pandoc_1.5.1.1.orig.tar.gz
  to main/p/pandoc/pandoc_1.5.1.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated pandoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Tue, 30 Mar 2010 00:26:54 +0200
Source: pandoc
Binary: pandoc libghc6-pandoc-dev libghc6-pandoc-doc
Architecture: source all amd64
Version: 1.5.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libghc6-pandoc-dev - general markup converter
 libghc6-pandoc-doc - general markup converter
 pandoc     - general markup converter
Closes: 488642 499864 559978 563416 571402 571678
Changes: 
 pandoc (1.5.1.1-1) unstable; urgency=low
 .
   * New upstream release. Closes: 499864.
     + Pandoc no longer requires Template Haskell.
       Closes: bug#559978.
     + Added --base-header-level option.
       Closes: bug#563416.
     + wrapper script html2markdown dropped.
     + Supports new output formats plain text, OpenDocument XML, ODT, GNU
       Texinfo and MediaWiki markup.
   * Update package relations to match new upstream release:
     + Tighten build-dependency on libghc6-zip-archive-dev.
     + Build-depend on libghc6-http-dev, libghc6-texmath-dev,
       libghc6-xml-dev and libghc6-extensible-exceptions-dev.
     + Drop suggestion on tidy, wget or w3m.
   * Tighten build-dependency on cdbs.
   * Drop all local CDBS snippets, and stop declaring DEB_MAINTAINER_MODE
     in rules file: all included with main cdbs package now.
   * Line-wrap changelog at 72 characters, to please lintian.
   * Bump Standards-Version to 3.8.4.
   * Rewrite copyright file using draft DEP5 rev. 135 format.
   * Fix have -dev package depend on libghc6-highlighting-kate-doc (not
     bogus highlighting-kate-doc).
     Closes: bug#571402, thanks to Lucas Nussbaum.
   * Fix have pandoc package suggest texlive-latex-extra (not only
     texlive-latex-recommended), for ucs.sty needed for PDF output.
     Closes: bug#571678, thanks to Decklin Foster.
   * Drop fallback-suggestion on tetex-extra: dropped since Lenny
     (stable) and unneeded even for Etch (oldstable).
   * Update long descriptions:
     + Advertise new output formats.
     + Clarify Markdown enhancements as optional.
     + Slightly rephrase comparison with other Markdown parsers.
     + Stop advertising wrapper script html2markdown.
     + Mention wrapper script markdown2pdf by name.
     + Mention markdown2pdf requirements on texlive-latex-extra and
       texlive-xetex.
   * Skip copyright-check of some binary files, to avoid hint file
     accidentally treated as binary.
   * Drop configure option -f-wrappers (to generate Haskell binary for
     markdown2pdf instead of using the deprecated shell wrapper script.
   * Add README.Debian to pandoc package, documenting LaTeX requirements
     of markdown2pdf.
     Closes: bug#488642, thanks to intrigeri.
   * Ship hsmardown.1 manpage with packaging source (provided by upstream
     but considered unsuitable for upstream distribution).
Checksums-Sha1: 
 0b2c4d2a83660d5d0a8b3dcd630b12fc5f04a30b 1818 pandoc_1.5.1.1-1.dsc
 2e6b193cec00829692caf0b4f2e2e3407a76e523 353653 pandoc_1.5.1.1.orig.tar.gz
 4ef501f5ce26d3abe826ce8b348e7e8a4c6b4603 29618 pandoc_1.5.1.1-1.debian.tar.gz
 17bf4453f852a8eda0148e26237785e988521ccc 328740 libghc6-pandoc-doc_1.5.1.1-1_all.deb
 d4c75f51c9ddfc69293e558bf0c1967525c30d23 2285518 pandoc_1.5.1.1-1_amd64.deb
 4778a58ad7ac6f4f953e0e236092c277289e7990 2455432 libghc6-pandoc-dev_1.5.1.1-1_amd64.deb
Checksums-Sha256: 
 ca79d6860f56c064603dea5e9e5332c10e7d87a4b79fe4b05726e4af34ff5f6e 1818 pandoc_1.5.1.1-1.dsc
 6d2283cb618fcaea5ee5cb885ef6532bc34628b351f14a6bd85b098d7a4128d9 353653 pandoc_1.5.1.1.orig.tar.gz
 9bb35699eca5d61c8235bbd4b7f2c561057c7ee03808858bc275dfc288c56bdc 29618 pandoc_1.5.1.1-1.debian.tar.gz
 027c7bd768d148d64c7163deed6ce827a9e1998a58e75cd6a6f70ff04457df10 328740 libghc6-pandoc-doc_1.5.1.1-1_all.deb
 5a014ed3c12f75c8cfbd236e015926b403c1a18e1dfc6d0a0718b0809eb987c5 2285518 pandoc_1.5.1.1-1_amd64.deb
 c618298858e1f51214ab6d7fb9b8d9d2e84715aed9e229efbe2eb3cc63c964ae 2455432 libghc6-pandoc-dev_1.5.1.1-1_amd64.deb
Files: 
 4589087867a14213a22343df99e9900d 1818 text optional pandoc_1.5.1.1-1.dsc
 bfccc042ae0cf0901bbca1f87748f969 353653 text optional pandoc_1.5.1.1.orig.tar.gz
 44d893bd6085425040dfd3625de0182a 29618 text optional pandoc_1.5.1.1-1.debian.tar.gz
 681d2b25f3d47fc3ec5493fab9c646ce 328740 doc optional libghc6-pandoc-doc_1.5.1.1-1_all.deb
 0f6a91e721b0d1dda73de53f4e5577e9 2285518 text optional pandoc_1.5.1.1-1_amd64.deb
 9444c49d26884522d8b0e4fbabb42259 2455432 haskell optional libghc6-pandoc-dev_1.5.1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkuxK4wACgkQn7DbMsAkQLixbgCfTZRcW7rAO8wmxmdXSc+bFdWH
BnIAoJ0KXkFpL0shaZc8of7GHVlK9vOw
=Lw6F
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 May 2010 07:37:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:53:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.